Tuesday, April 19, 2016

Xfce 4.12 mega update coming to EL-7

This post is repeated from the email I sent out to epel-devel and xfce (@fedora) mailing lists [0].



After a trial run involving a COPR repo [1], I had written earlier indicating that I started doing real builds of Xfce 4.12 packages for EL-7 [2]. This is now complete and I have now submitted a update - a mega update containing 53 packages total.

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-262a3f39e1


Three points about the update

  • libxfce4ui obsoletes libxfcegui4 
    • (plugins using libxfcegui4 were never built for EL-7) 
  • xfce4-pulseaudio-plugin obsoletes xfce4-mixer and xfce4-volumed 
    •  (xfce4-volumed is not even in the repos) 
  • xfce4-pulseaudio-plugin uses pavucontrol as sound mixer which is unavailable in EL-7 at the moment. 
I have tested both upgrading a user configured Xfce 4.10 install and by creating a new user. I did not notice any issues so far. Please enable epel-testing repo on a test machine, test these packages and give karma on bodhi. I have set the stable karma to 12. Unless the karma reaches 12, I intend to leave the update in testing for three weeks.


[0] Link to mailing list

[1] link to COPR repo email

[2] Link to "package building" announcement

No comments:

Post a Comment